### Method

# WebKit WebView get_session_state

#### Declaration [src]

    WebKitWebViewSessionState*
    webkit_web_view_get_session_state (
      WebKitWebView* web_view
    )

#### Description [src]

Gets the current session state of `web_view`.

Available since: | 2.12

#### Return value

Returns: | `WebKitWebViewSessionState`
| A `WebKitWebViewSessionState`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.